SpellingQueryConverter (Solr 3.6.2 API)
Keywords: org.apache.solr.spelling.SpellingQueryConverter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.spelling
Class SpellingQueryConverter

    java.lang.Object
      org.apache.solr.spelling.QueryConverter
          org.apache.solr.spelling.SpellingQueryConverter

All Implemented Interfaces:
  NamedListInitializedPlugin

Direct Known Subclasses:
  SuggestQueryConverter

    public class SpellingQueryConverter

extends QueryConverter

Converts the query string to a Collection of Lucene tokens using a regular expression. Boolean operators AND and OR are skipped.

Since:
  solr 1.3

Field Summary
`protected Pattern` | `QUERY_REGEX`

Fields inherited from class org.apache.solr.spelling.QueryConverter
`analyzer`

Constructor Summary
`SpellingQueryConverter()`

Method Summary
`protected void` | `analyze(Collection<Token> result, Reader text, int offset)`
`Collection<Token>` | `convert(String original)` Converts the original query string to a collection of Lucene Tokens.

Methods inherited from class org.apache.solr.spelling.QueryConverter
`getAnalyzer, init, setAnalyzer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUERY_REGEX

    protected Pattern QUERY_REGEX

Constructor Detail

### SpellingQueryConverter

    public SpellingQueryConverter()

Method Detail

### convert

    public Collection<Token> convert(String original)

  Converts the original query string to a collection of Lucene Tokens.

  Specified by:
    `convert` in class `QueryConverter`
  Parameters:
    `original` - the original query string
  Returns:
    a Collection of Lucene Tokens

### analyze

    protected void analyze(Collection<Token> result,
                           Reader text,
                           int offset)
                    throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD